package com.aodianyun.web.api;

import javax.servlet.http.HttpServletRequest;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import com.aodianyun.service.api.TisService;

/**
 * 白板相关的接口调用的入口类
 * */
@Controller
public class TisApiController extends ApiController {
	@ResponseBody
	@RequestMapping("/tis_interface")
	public String index(@RequestParam("method") String method, HttpServletRequest request) throws Exception {
		TisService api = new TisService(AodianConfig.ACCESSID,AodianConfig.ACCESSKEY);		// 处理白板接口调用的具体实现类
		return execute(api, method, request);
	}
}
